package com.yonge.cooleshow.websocket.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * 消息类型枚举
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum MsgBizTypeEnum {
    ONLINE("建立连接"),
    OFFLINE("断开连接"),
    PAY_END("支付结束");

    @EnumValue
    private String code;
    private String msg;

    MsgBizTypeEnum(String msg) {
        this.code = getCode();
        this.msg = msg;
    }

    public String getCode() {
        return this.name();
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
